#
# For a description of the syntax of this configuration file,
# see the Configure script.
#
mainmenu_name "Linux/68k Kernel Configuration"

mainmenu_option next_comment
comment 'Supported Machine Types'

bool 'Amiga support' CONFIG_AMIGA y
bool 'Atari support' CONFIG_ATARI y
bool 'Macintosh support' CONFIG_MAC n

mainmenu_option next_comment
comment 'General setup'

bool '68040 floating point software package' CONFIG_FPSP_040 y
bool '68060 integer/floating point software package' CONFIG_IFPSP_060 n
bool '68881 FPU emulation' CONFIG_FPU68881_EMU n
bool 'Floppy support' CONFIG_BLK_DEV_FD y
bool 'Amiga or Atari IDE harddisk support' CONFIG_BLK_DEV_IDE y
bool 'Amiga or Atari IDE CD-ROM support' CONFIG_BLK_DEV_IDECD y
if [ "$CONFIG_AMIGA" = "y" ]; then
bool 'Amiga AutoConfig Identification' CONFIG_ZORRO y
bool 'Amiga Cybervision support' CONFIG_FB_CYBER y
bool 'Amiga Zorro II ramdisk support' CONFIG_AMIGA_Z2RAM y
fi
if [ "$CONFIG_ATARI" = "y" ]; then
bool 'Atari ACSI support' CONFIG_ATARI_ACSI y
if [ "$CONFIG_ATARI_ACSI" = "y" ]; then
comment 'Some devices (e.g. CD jukebox) support multiple LUNs'
bool 'Probe all LUNs on each ACSI device' CONFIG_ACSI_MULTI_LUN n
bool 'Atari SLM laser printer support' CONFIG_ATARI_SLM n
fi
fi
bool 'Networking support' CONFIG_NET y
bool 'System V IPC' CONFIG_SYSVIPC y
bool 'Kernel support for ELF binaries' CONFIG_BINFMT_ELF y
if [ "$CONFIG_BINFMT_ELF" = "y" ]; then
bool 'Compile kernel as ELF - if your GCC is ELF-GCC' CONFIG_KERNEL_ELF n
fi

mainmenu_option next_comment
comment 'Loadable module support'
bool 'Set version information on all symbols for modules' CONFIG_MODVERSIONS n
bool 'Kernel daemon support (e.g. autoload of modules)' CONFIG_KERNELD n

if [ "$CONFIG_NET" = "y" ]; then
mainmenu_option next_comment
comment 'Networking options'
bool 'TCP/IP networking' CONFIG_INET y
if [ "$CONFIG_INET" = "y" ]; then
bool 'IP forwarding/gatewaying' CONFIG_IP_FORWARD n
bool 'IP multicasting (ALPHA)' CONFIG_IP_MULTICAST n
bool 'IP firewalling' CONFIG_IP_FIREWALL n
bool 'IP accounting' CONFIG_IP_ACCT n
comment '(it is safe to leave these untouched)'
bool 'PC/TCP compatibility mode' CONFIG_INET_PCTCP n
bool 'Reverse ARP' CONFIG_INET_RARP n
bool 'Assume subnets are local' CONFIG_INET_SNARL y
bool 'Disable NAGLE algorithm (normally enabled)' CONFIG_TCP_NAGLE_OFF n
fi
bool 'The IPX protocol' CONFIG_IPX n
#bool 'Amateur Radio AX.25 Level 2' CONFIG_AX25 n
fi

mainmenu_option next_comment
comment 'SCSI support'

bool 'SCSI support' CONFIG_SCSI y
if [ "$CONFIG_SCSI" != "n" ]; then

comment 'SCSI support type (disk, tape, CDrom)'

bool 'SCSI disk support' CONFIG_BLK_DEV_SD y
bool 'SCSI tape support' CONFIG_CHR_DEV_ST y
bool 'SCSI CDROM support' CONFIG_BLK_DEV_SR y
bool 'SCSI generic support' CONFIG_CHR_DEV_SG n

comment 'Some SCSI devices (e.g. CD jukebox) support multiple LUNs'

bool 'Probe all LUNs on each SCSI device' CONFIG_SCSI_MULTI_LUN n

mainmenu_option next_comment
comment 'SCSI low-level drivers'

if [ "$CONFIG_AMIGA" = "y" ]; then
bool 'A3000 WD33C93A support' CONFIG_A3000_SCSI y
bool 'A2091 WD33C93A support' CONFIG_A2091_SCSI y
bool 'GVP Series II WD33C93A support' CONFIG_GVP11_SCSI y
fi
if [ "$CONFIG_ATARI" = "y" ]; then
bool 'Atari native SCSI support' CONFIG_ATARI_SCSI y
if [ "$CONFIG_ATARI_SCSI" = "y" ]; then
bool ' Use longer delay for Toshiba CD-ROMs' CONFIG_ATARI_SCSI_TOSHIBA_DELAY y
fi
fi
#bool 'SCSI debugging host adapter' CONFIG_SCSI_DEBUG n
fi

if [ "$CONFIG_NET" = "y" ]; then

mainmenu_option next_comment
comment 'Network device support'

bool 'Network device support?' CONFIG_NETDEVICES y
if [ "$CONFIG_NETDEVICES" = "n" ]; then

comment 'Skipping network driver configuration options...'

else
bool 'Dummy net driver support' CONFIG_DUMMY y
bool 'SLIP (serial line) support' CONFIG_SLIP y
if [ "$CONFIG_SLIP" = "y" ]; then
  bool ' CSLIP compressed headers' CONFIG_SLIP_COMPRESSED y
  bool ' 16 channels instead of 4' SL_SLIP_LOTS n
#  bool ' SLIP debugging on' SL_DUMP y
fi
bool 'PPP (point-to-point) support' CONFIG_PPP y
if [ "$CONFIG_AMIGA" = "y" ]; then
bool 'Ariadne support' CONFIG_ARIADNE y
bool 'A2065 support' CONFIG_A2065 y
bool 'Hydra support' CONFIG_HYDRA y
fi
if [ "$CONFIG_ATARI" = "y" ]; then
bool 'Atari Lance support' CONFIG_ATARILANCE y
if [ "$CONFIG_ATARI_ACSI" = "y" ]; then
bool 'BioNet-100 support' CONFIG_ATARI_BIONET y
bool 'PAMsNet support' CONFIG_ATARI_PAMSNET y
fi
fi
fi
fi

mainmenu_option next_comment
comment 'Filesystems'

bool 'Standard (minix) fs support' CONFIG_MINIX_FS y
bool 'Second extended fs support' CONFIG_EXT2_FS y
bool 'msdos fs support' CONFIG_MSDOS_FS y
if [ "$CONFIG_MSDOS_FS" = "y" ]; then
bool 'umsdos: Unix like fs on top of std MSDOS FAT fs' CONFIG_UMSDOS_FS n
fi
bool '/proc filesystem support' CONFIG_PROC_FS y
bool 'NFS filesystem support' CONFIG_NFS_FS y
bool 'ISO9660 cdrom filesystem support' CONFIG_ISO9660_FS y
if [ "$CONFIG_AMIGA" = "y" ]; then
bool 'Amiga FFS filesystem support' CONFIG_AFFS_FS y
fi

mainmenu_option next_comment
comment 'character devices'

bool 'Parallel printer support' CONFIG_PRINTER y
if [ "$CONFIG_AMIGA" = "y" ]; then
bool 'Amiga mouse support' CONFIG_AMIGAMOUSE y
bool 'Amiga builtin serial support' CONFIG_AMIGA_BUILTIN_SERIAL y
bool 'GVP IO-Extender support' CONFIG_GVPIOEXT y
bool 'Multiface Card III serial support' CONFIG_MULTIFACE_III_TTY y
bool 'Multiface Card III parallel support' CONFIG_MULTIFACE_III_LP y
fi
if [ "$CONFIG_ATARI" = "y" ]; then
bool 'Atari mouse support' CONFIG_ATARIMOUSE y
bool 'Atari MFP serial support' CONFIG_ATARI_MFPSER y
bool 'Atari SCC serial support' CONFIG_ATARI_SCC y
bool 'Atari MIDI support' CONFIG_ATARI_MIDI y
fi

mainmenu_option next_comment
comment 'Sound support'

bool 'Sound support' CONFIG_SOUND y
if [ "$CONFIG_SOUND" != "n" ]; then
bool 'Amiga or Atari DMA sound support' CONFIG_DMASOUND y
fi

mainmenu_option next_comment
comment 'Kernel hacking'

#bool 'Debug kmalloc/kfree' CONFIG_DEBUG_MALLOC n
bool 'Kernel profiling support' CONFIG_PROFILE n
if [ "$CONFIG_PROFILE" = "y" ]; then
  int ' Profile shift count' CONFIG_PROFILE_SHIFT 2
fi
if [ "$CONFIG_SCSI" = "y" ]; then
bool 'Verbose scsi error reporting (kernel size +=12K)' CONFIG_SCSI_CONSTANTS y
fi
bool 'KGDB remote debugging support' CONFIG_KGDB n
